Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.config
Interface RealmConfiguration

public interface RealmConfiguration
extends javax.ejb.EJBObject

This is the public interface for keeping personalization profile records in sync with the WLS realm.

Method Summary
`void` | `cleanupMisconfiguredGroups()` Removes misconfigured groups (those found in the database but not in the realm) from the database.
`void` | `cleanupMisconfiguredUsers()` Removes misconfigured users (those found in the database but not in the realm) from the database.
`java.lang.String[]` | `getGroupProfileNames()` Returns just the groups found in the database.
`java.lang.String[]` | `getMisconfiguredGroups()` Returns the group names that exist in the database, but not in the realm.
`java.lang.String[]` | `getMisconfiguredUsers()` Returns the usernames that exist in the database, but not in the realm.
`java.lang.String[]` | `getRealmGroups()` Get a list of groups in the realm
`java.lang.String[]` | `getRealmUsers()` Get a list of groups in the realm
`java.lang.String[]` | `getUserProfileNames()` Returns just the users found in the database.
`boolean` | `isManageableRealm()` Determine if the current realm is writable.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getMisconfiguredUsers

    public java.lang.String[] getMisconfiguredUsers()
                                             throws java.rmi.RemoteException

  Returns the usernames that exist in the database, but not in the realm.

  Returns:
    the usersnames for the users that are misconfigured
  Throws:
    `UserManagementException` - user find error
    `RemoteException` - general error

### cleanupMisconfiguredUsers

    public void cleanupMisconfiguredUsers()
                                   throws java.rmi.RemoteException

  Removes misconfigured users (those found in the database but not in the realm) from the database.

  Returns:
    a status message for the operation
  Throws:
    `UserManagementException` - error cleaning up users
    `RemoteException` - general error

### getUserProfileNames

    public java.lang.String[] getUserProfileNames()
                                           throws java.rmi.RemoteException

  Returns just the users found in the database.

  Returns:
    a list of usernames in the database
  Throws:
    `UserManagementException` - error accessing the database
    `RemoteException` - general error

### getRealmUsers

    public java.lang.String[] getRealmUsers()
                                     throws java.rmi.RemoteException

  Get a list of groups in the realm

### getMisconfiguredGroups

    public java.lang.String[] getMisconfiguredGroups()
                                              throws java.rmi.RemoteException

  Returns the group names that exist in the database, but not in the realm.

  Returns:
    the names for the groups that are misconfigured
  Throws:
    `UserManagementException` - user find error
    `RemoteException` - general error

### cleanupMisconfiguredGroups

    public void cleanupMisconfiguredGroups()
                                    throws java.rmi.RemoteException

  Removes misconfigured groups (those found in the database but not in the realm) from the database.

  Returns:
    a status message for the operation
  Throws:
    `UserManagementException` - error cleaning up users
    `RemoteException` - general error

### getGroupProfileNames

    public java.lang.String[] getGroupProfileNames()
                                            throws java.rmi.RemoteException

  Returns just the groups found in the database.

  Returns:
    a list of groups in the database
  Throws:
    `UserManagementEximport - com.bea.p13n.usermgmt.profile.ProfileWrapper; ception` error accessing the database
    `RemoteException` - general error

### getRealmGroups

    public java.lang.String[] getRealmGroups()
                                      throws java.rmi.RemoteException

  Get a list of groups in the realm

### isManageableRealm

    public boolean isManageableRealm()
                              throws java.rmi.RemoteException

  Determine if the current realm is writable.

  Returns:
    true if it is, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved